By using this site you agree to the use of cookies for analytics, personalised content and ads. Read more

Need Help!!!!

This topic has been archived. To keep discussions in the Skype Community relevant we archive topics that haven't seen activity in the past 6 months. Read more about about archiving
daq
Novel Adventurer

I have downloaded Skype from the site for my Nokia N95 and the site says that N95 is compatible with the setup. Now when i'm installing it a warning sign says that phone isn't compatible continue anyway? If i install, it installs perfectly but when i click on the skype icon it doesn't open the application. Tried it a million times, same problem everytime. Help Please anyone?????????

Message 1 of 3 (313 Views)
2 Replies
Community Manager
The safest way to get the correct version is downloading via the Ovi Store on your device. For the N95 you need to download Skype 1.5 for Symbian. Newer versions won't work as they require at least Symbian 5th edition.

Found a helpful message? Give it a Kudo below to say "thanks" ¦ Latest Community News
Did my reply answer your question? Accept it as a solution to help others, Thanks.
Message 2 of 3 (310 Views)
Highlighted
daq
Novel Adventurer

Okay thanks! I have tried it but the problem with the 1.5 is that it doesnt sign in . When you put your login and password in and click the signin button the signing in thing shows up and its like eternal, can't let u sign in. All the time its signing in. What to do??

Message 3 of 3 (305 Views)
Discussion Stats
  • 2 replies
  • 314 views
  • 0 kudos
  • 2 in conversation